cancel
Showing results for 
Search instead for 
Did you mean: 

Laminas compile error at update to 2.4.3

Re: Laminas compile error at update to 2.4.3

Now I am getting the following error:

 

Notice: Undefined index: instance in /var/www/magento2/dev/setup/src/Magento/Setup/Module/Di/Compiler/ArgumentsResolver.php on line 171

Help is appreciated

Re: Laminas compile error at update to 2.4.3

@arumcomputer 

The file structure in default Magento 2.4.3

https://drops.meetanshi.com/Ejep3f

Problem solved? Click Kudos and "Accept as Solution"

Re: Laminas compile error at update to 2.4.3

I am facing the same error after applying the patch to the DHL module. I even tried to remove all DHL modules completely from the codebase, but keep getting this error while setup:di:compile. So I assume this comes from some different module.

I spent days finding the source of the error with no efforts - did you find any solution for this?

Re: Laminas compile error at update to 2.4.3

Have problems with DHL module in cobine with m2e Pro here too. And still have no solution for the compile problem.

Re: Laminas compile error at update to 2.4.3

I solved the compile problem by updating the FireGento MageSetup(2) module from version 0.4.x to 1.0 which was released a few days ago. After updating this module setup:di:compile completes without errors.

Re: Laminas compile error at update to 2.4.3

Re: Laminas compile error at update to 2.4.3